/*
 * Copyright 2006-2013 the original author or authors.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.consol.citrus.endpoint;

/**
 * Abstract endpoint configuration provides basic properties such as message listeners.
 * @author Christoph Deppisch
 * @since 1.4
 */
public abstract class AbstractEndpointConfiguration implements EndpointConfiguration {

    /** Send/receive timeout setting */
    private long timeout = 5000L;

    /**
     * Gets the timeout for sending and receiving messages.
     * @return
     */
    public long getTimeout() {
        return timeout;
    }

    /**
     * Sets the timeout for sending and receiving messages..
     * @param timeout
     */
    public void setTimeout(long timeout) {
        this.timeout = timeout;
    }

}
